<template>
  <div class="chart-container">
    <div id="chart-stock"></div>
    <div class="chart-rate">
      <span class="monitor-item">CPU</span>
      <span class="monitor-rate" v-text="rate"></span>
    </div>
  </div>
</template>

<script>
import Highcharts from "highcharts";
import stockInit from "highcharts/modules/stock";
stockInit(Highcharts);

export default {
  data() {
    return {
      rate: "----",
      chart: "",
      chartOptions: {
        chart: {
          height: 150,
					width: 250,
					spacing: [0, -2, 0, 0]
        },
        tooltip: {
          enabled: false
        },
        credits: {
          enabled: false
        },
        exporting: {
          enabled: false
        },
        rangeSelector: {
          enabled: false
        },
        navigator: {
          enabled: false
        },
        scrollbar: {
          enabled: false
        },
        xAxis: {
          visible: false
        },
        yAxis: {
          visible: false,
          max: 100,
          min: 0
        },
        series: [
          {
            data: (() => {
              let data = [],
                time = new Date().getTime(),
                i;

              for (i = -1800; i <= 0; i += 1) {
                data.push([time + i * 1000, Math.round(Math.random() * 100)]);
              }
              return data;
            })(),
            type: "areaspline",
            enableMouseTracking: false,
            fillColor: {
              linearGradient: {
                x1: 0,
                y1: 0,
                x2: 0,
                y2: 1
              },
              stops: [
                [0, Highcharts.getOptions().colors[0]],
                [
                  1,
                  Highcharts.Color(Highcharts.getOptions().colors[0])
                    .setOpacity(0)
                    .get("rgba")
                ]
              ]
            }
          }
        ]
      }
    };
  },
  mounted() {
		this.chart = new Highcharts.stockChart("chart-stock", this.chartOptions);
		
    setInterval(() => {
      var x = new Date().getTime(),
        y = Math.round(90 - Math.random() * 50);
			this.chart.series[0].addPoint([x, y], true, true);
			this.rate = `${y}%`;
		}, 1000);
  }
};
</script>

<style>
.chart-container {
	position: absolute;
	height: 150px;
	width: 250px;
	margin: 10px;
	border-radius: 6px;
}
.chart-container .highcharts-root {
	border-radius: 6px;
}
.chart-rate {
	position: absolute;
	width: 250px;
	height: 150px;
	box-sizing: border-box;
	font-size: 1.8rem;
	line-height: 2.8rem;
	/* text-align: center; */
	top: 0;
	border-radius: 6px;
	background-color: rgba(124, 181, 236, .3);
	/* box-shadow: 0 4px 8px hsla(208, 100%, 24%, 0.1803921568627451); */
}
.monitor-item {
	color: #fff;
	margin-left: 1rem;
}
.monitor-rate {
	color: #fff;
	float: right;
	margin-right: 1rem;
}
</style>
